# GNOME Terminal Auto Theme Sync

![GNOME Terminal Logo](https://upload.wikimedia.org/wikipedia/commons/d/da/GNOME_Terminal_icon_2019.svg)

Automatically sync your GNOME Terminal theme with your system's light/dark mode preferences.

## Features

- 🌓 Automatic theme switching between light and dark modes
- ⚡ Instant theme application when system preference changes
- 🔄 Background process that monitors system theme changes
- 🛠️ Easy installation and uninstallation

## Installation

1. **Download the project files**:

```bash
git clone https://github.com/MatMasIt/gnome-terminal-autotheme.git
cd gnome-terminal-autotheme
```

2. **Run the installer**:

```bash
./install.sh
```

3. **Follow the prompts** to complete installation.

The installer will:
- Copy necessary files
- Set up autostart entry
- Start the theme sync service

## Uninstallation

To remove the auto theme sync, simply run the installer again.

You'll be prompted to choose:
- Remove just the autostart entry or the whole installation
- Whether to keep your terminal in light or dark mode after uninstall

## Requirements

- GNOME Desktop Environment (tested on GNOME 40+)
- GNOME Terminal
- Bash 4.0+

## Configuration

Advanced users can edit the theme definitions in: [sync-terminal-theme.sh](sync-terminal-theme.sh)

## Contributing

Contributions are welcome! Please open an issue or pull request.

## License

MIT License - See [LICENSE](LICENSE) file for details